<?php
include("../db.php");
$requestData= $_REQUEST;
$columns = array( 
	0 =>  'id_cus_ads ',
	1 =>  'name_cus_ads',
    2 =>  'phone_cus_ads'
);

$sql = "
SELECT * FROM `cus_ads`
left join `ads` on `ads`.`id_ads` = `cus_ads`.`id_ads`
where `cus_ads`.`active_cus_ads` = '0' 
";


$query=mysqli_query($db, $sql);
$totalData = mysqli_num_rows($query);
$totalFiltered = $totalData;

$sql = "
SELECT * FROM `cus_ads`
left join `ads` on `ads`.`id_ads` = `cus_ads`.`id_ads`
where `cus_ads`.`active_cus_ads` = '0' 
";

if( !empty($requestData['search']['value']) ) {  
	$sql.=" AND ( id_cus_ads LIKE '".$requestData['search']['value']."%'  ";
	$sql.=" OR name_ads LIKE '".$requestData['search']['value']."%' ";    
	$sql.=" OR phone_cus_ads LIKE '".$requestData['search']['value']."%' ";    
	$sql.=" OR name_cus_ads LIKE '".$requestData['search']['value']."%' )";    
}
$query=mysqli_query($db, $sql);
$totalFiltered = mysqli_num_rows($query); 
$sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."  LIMIT ".$requestData['start']." ,".$requestData['length']."   ";
$query=mysqli_query($db, $sql);
$data = array();
$i = 0;
while( $row=mysqli_fetch_array($query)) {
    $i = $i +1;
	$nestedData=array(); 
	$nestedData[] = $i;
	$nestedData[] = $row["name_cus_ads"];
	$nestedData[] = $row["phone_cus_ads"];
	$nestedData[] = $row["name_ads"];
	$nestedData[] = $row["id_cus_ads"];
	$nestedData[] = $row["comment_cus_ads"];

	$nestedData[] = "<button type='button' class='btn btn-danger' onclick=del_table_1('".$row['id_cus_ads']."',1)>حذف</button>
	<button type='button' class='btn btn-success'  onclick='get_cus_ads(".$row['id_cus_ads'].")'>تعديل</button>
	";
	
	$data[] = $nestedData;
}

$json_data = array(
			"draw"            => intval( $requestData['draw']),   
			"recordsTotal"    => intval( $totalData ),  
			"recordsFiltered" => intval( $totalFiltered ),
			"data"            => $data
			);

echo json_encode($json_data);

?>



